## icinga-notifications 0.1.1+45.g266f62d

=== debian/changelog ===
icinga-notifications (0.1.1+45.g266f62d-1754919278+debian13) icinga; urgency=medium

  * Release 0.1.1+45.g266f62d-1754919278

 -- Icinga GmbH <info@icinga.com>  Mon, 11 Aug 2025 13:34:56 +0000
