=== debian/changelog ===
icinga-notifications (0.1.1+67.g272ecf2-1760628941+ubuntu25.10) icinga; urgency=medium

  * Release 0.1.1+67.g272ecf2-1760628941

 -- Icinga GmbH <info@icinga.com>  Thu, 16 Oct 2025 15:36:07 +0000
