=== debian/control ===
Source: icinga-notifications
Maintainer: Icinga GmbH <info@icinga.com>
Section: admin
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  gcc,
  make,
  tzdata
Standards-Version: 4.7.0
Homepage: https://icinga.com

Package: icinga-notifications
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  tzdata,
  adduser
Description: Improved notifications and incident management for your Icinga stack
 Icinga Notifications daemon is responsible for processing received monitoring
 events from various sources, managing incidents and forwards notifications to
 predefined contacts.
