## icinga-notifications 0.2.0

=== debian/changelog ===
icinga-notifications (0.2.0-3+ubuntu25.10) icinga; urgency=medium

  * Release 0.2.0-3

 -- Icinga GmbH <info@icinga.com>  Thu, 05 Feb 2026 08:39:14 +0000
